# 日度成交量

`GET` `/v1/quote/option-volume-stats/daily`

获取美股期权的历史每日认购/认沽成交量和未平仓量数据。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 标的美股代码，如 `AAPL.US`、`TSLA.US` |
| `timestamp` | integer | No | 起始 Unix 时间戳（秒）；`0` 返回最新数据（默认 `0`） |
| `count` | integer | No | 返回的交易日数量（默认 `30`） |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/option-volume-stats/daily?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `stats` | object[] | Yes | 每日成交量记录。 |
| `└ symbol` | string | Yes | 标的代码，如 `AAPL.US`。 |
| `└ timestamp` | string | Yes | 记录日期（Unix 秒）。 |
| `└ total_call_volume` | string | Yes | 当日认购成交量。 |
| `└ total_put_volume` | string | Yes | 当日认沽成交量。 |
| `└ total_call_open_interest` | string | Yes | 认购未平仓量。 |
| `└ total_put_open_interest` | string | Yes | 认沽未平仓量。 |
| `└ total_volume` | string | Yes | 期权总成交量。 |
| `└ total_open_interest` | string | Yes | 期权总未平仓量。 |
| `└ put_call_volume_ratio` | string | Yes | 认沽/认购成交量比率。 |
| `└ put_call_open_interest_ratio` | string | Yes | 认沽/认购未平仓量比率。 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "symbol": "AAPL.US",
    "stats": [
      {
        "symbol": "AAPL.US",
        "date": "2026-05-07",
        "call_volume": 284512,
        "put_volume": 195830,
        "call_open_interest": 1824500,
        "put_open_interest": 1532100,
        "total_volume": 480342,
        "total_open_interest": 3356600,
        "pc_vol": 0.6886,
        "pc_oi": 0.8398
      }
    ]
  }
}
```
